Subject: Re: linux-next: manual merge of the staging tree with the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 9 Aug 2021 17:55:02 +1000

Hi all,

On Tue, 3 Aug 2021 11:23:29 +0200 Arnd Bergmann <[email-masked]> wrote:
>
> On Tue, Aug 3, 2021 at 10:57 AM Phillip Potter <[email-masked]> wrote:
> > On Tue, 3 Aug 2021 at 00:33, Mark Brown <[email-masked]> wrote:
> >
> > Thank you for your e-mail - not sure what is going on here as the
> > r8188eu files are totally new - the net-next commit is touching files
> > from a different directory (rtl8188eu) so perhaps it is getting
> > confused and considering it a rename or similar? Regardless, all
> > commits for r8188eu subdirectory should come from staging, as it is a
> > different driver.  
> 
> In net-next, the .ndo_do_ioctl() callback behaves differently, as it no
> longer gets called from user space. If you have any
> SIOCDEVPRIVATE ioctls in the driver, those need to be
> moved over to the new .ndo_siocdevprivate callback, while any
> nonstandard ioctl commands outside of that range can just be
> removed.

So, can that be done in the staging tree as it is, or does Greg need to
merge (part of) the net-next tree?  Or will someone just supply me with
a reasonable merge resolution patch?  Or does Greg reset the staging
tree to 5c872e1d2595 and try again next time?  Or similar for Dave
(revert Arnd's work)?

Currently it is a mess in linux-next and probably will not work even
though it does build.

-- 
Cheers,
Stephen Rothwell